mbed TLS v2.16.3: mbedtls_ssl_session Struct Reference

mbed TLS v2.16.3

Data Fields
mbedtls_ssl_session Struct Reference

`#include <ssl.h>`

Collaboration diagram for mbedtls_ssl_session:
[legend]

## Data Fields
mbedtls_time_t | start
int | ciphersuite
int | compression
size_t | id_len
unsigned char | id [32]
unsigned char | master [48]
mbedtls_x509_crt * | peer_cert
uint32_t | verify_result
unsigned char * | ticket
size_t | ticket_len
uint32_t | ticket_lifetime
unsigned char | mfl_code
int | trunc_hmac
int | encrypt_then_mac

## Detailed Description

Definition at line 789 of file ssl.h.

## Field Documentation

## ◆ ciphersuite

int mbedtls_ssl_session::ciphersuite

chosen ciphersuite

Definition at line 794 of file ssl.h.

## ◆ compression

int mbedtls_ssl_session::compression

chosen compression

Definition at line 795 of file ssl.h.

## ◆ encrypt_then_mac

int mbedtls_ssl_session::encrypt_then_mac

flag for EtM activation

Definition at line 820 of file ssl.h.

## ◆ id

unsigned char mbedtls_ssl_session::id[32]

session identifier

Definition at line 797 of file ssl.h.

## ◆ id_len

size_t mbedtls_ssl_session::id_len

session id length

Definition at line 796 of file ssl.h.

## ◆ master

unsigned char mbedtls_ssl_session::master[48]

the master secret

Definition at line 798 of file ssl.h.

## ◆ mfl_code

unsigned char mbedtls_ssl_session::mfl_code

MaxFragmentLength negotiated by peer

Definition at line 812 of file ssl.h.

## ◆ peer_cert

mbedtls_x509_crt* mbedtls_ssl_session::peer_cert

peer X.509 cert chain

Definition at line 801 of file ssl.h.

## ◆ start

mbedtls_time_t mbedtls_ssl_session::start

starting time

Definition at line 792 of file ssl.h.

## ◆ ticket

unsigned char* mbedtls_ssl_session::ticket

RFC 5077 session ticket

Definition at line 806 of file ssl.h.

## ◆ ticket_len

size_t mbedtls_ssl_session::ticket_len

session ticket length

Definition at line 807 of file ssl.h.

## ◆ ticket_lifetime

uint32_t mbedtls_ssl_session::ticket_lifetime

ticket lifetime hint

Definition at line 808 of file ssl.h.

## ◆ trunc_hmac

int mbedtls_ssl_session::trunc_hmac

flag for truncated hmac activation

Definition at line 816 of file ssl.h.

## ◆ verify_result

uint32_t mbedtls_ssl_session::verify_result

verification result

Definition at line 803 of file ssl.h.

The documentation for this struct was generated from the following file:

- ssl.h